User32Util (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: User32Util

Package com.sun.jna.platform.win32

# Class User32Util

java.lang.Object
com.sun.jna.platform.win32.User32Util

public final class User32Util extends Object
Provides convenient usage of functions defined by `User32.dll`.

Author:
  Ralf HAMBERGER, Markus KARG (markus[at]headcrashing[dot]eu)

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `User32Util.MessageLoopThread`
  Helper class, that runs a windows message loop as a seperate thread.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EnumSet<Win32VK>`
  `WIN32VK_MAPPABLE`
  Set of `Win32VK` members that can be mapped to a UniCode code point via a keyboard layout.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `User32Util()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final WinDef.HWND`
  `createWindow(String className, String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)`
  `static final WinDef.HWND`
  `createWindowEx(int exStyle, String className, String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)`
  `static final void`
  `destroyWindow(WinDef.HWND hWnd)`
  `static final List<WinUser.RAWINPUTDEVICELIST>`
  `GetRawInputDeviceList()`
  `static String`
  `loadString(String location)`
  Load a string value from the string table of an executable.
  `static final int`
  `registerWindowMessage(String lpString)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WIN32VK_MAPPABLE

    public static final EnumSet<Win32VK> WIN32VK_MAPPABLE
    Set of `Win32VK` members that can be mapped to a UniCode code point via a keyboard layout.

- ## Constructor Details

  - ### User32Util

    public User32Util()

- ## Method Details

  - ### registerWindowMessage

    public static final int registerWindowMessage(String lpString)

  - ### createWindow

    public static final WinDef.HWND createWindow(String className, String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)

  - ### createWindowEx

    public static final WinDef.HWND createWindowEx(int exStyle, String className, String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)

  - ### destroyWindow

    public static final void destroyWindow(WinDef.HWND hWnd)

  - ### GetRawInputDeviceList

    public static final List<WinUser.RAWINPUTDEVICELIST> GetRawInputDeviceList()

  - ### loadString

    public static String loadString(String location) throws UnsupportedEncodingException
    Load a string value from the string table of an executable.
    Parameters:
      `location` - the location, eg. %SystemRoot%\system32\input.dll,-5011
    Returns:
      the string located at the designated location
    Throws:
      `UnsupportedEncodingException`